Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692155 - [abrt] dnfdragora-updater: call_blocking(): connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
Summary: [abrt] dnfdragora-updater: call_blocking(): connection.py:651:call_blocking:d...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ff327b9d3f34c88441393e4d9a9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-24 18:56 UTC by Davide
Modified: 2019-03-24 18:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-03-24 18:56 UTC, Davide
no flags Details
File: cgroup (deleted)
2019-03-24 18:56 UTC, Davide
no flags Details
File: cpuinfo (deleted)
2019-03-24 18:56 UTC, Davide
no flags Details
File: environ (deleted)
2019-03-24 18:56 UTC, Davide
no flags Details
File: mountinfo (deleted)
2019-03-24 18:56 UTC, Davide
no flags Details
File: namespaces (deleted)
2019-03-24 18:56 UTC, Davide
no flags Details
File: open_fds (deleted)
2019-03-24 18:56 UTC, Davide
no flags Details

Description Davide 2019-03-24 18:56:16 UTC
Version-Release number of selected component:
dnfdragora-updater-1.1.1-1.fc29

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: call_blocking
exception_type: dbus.exceptions.DBusException
executable:     /usr/bin/dnfdragora-updater
interpreter:    python3-3.7.2-4.fc29.x86_64
kernel:         4.20.16-200.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files

Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib64/python3.7/site-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib64/python3.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.freedesktop.Notifications': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 33, in <module>
    import dnfdragora.updater
  File "/usr/lib/python3.7/site-packages/dnfdragora/updater.py", line 21, in <module>
    notify2.init('dnfdragora-updater')
  File "/usr/lib/python3.7/site-packages/notify2.py", line 103, in init
    '/org/freedesktop/Notifications')
  File "/usr/lib64/python3.7/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib64/python3.7/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib64/python3.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib64/python3.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib64/python3.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files

Local variables in innermost frame:
self: <dbus._dbus.SessionBus (session) at 0x7f2cce8e96d0>
bus_name: 'org.freedesktop.DBus'
object_path: '/org/freedesktop/DBus'
dbus_interface: 'org.freedesktop.DBus'
method: 'StartServiceByName'
signature: 'su'
args: ('org.freedesktop.Notifications', 0)
timeout: -1.0
byte_arrays: False
kwargs: {}
get_args_opts: {'byte_arrays': False}
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>

Comment 1 Davide 2019-03-24 18:56:19 UTC
Created attachment 1547501 [details]
File: backtrace

Comment 2 Davide 2019-03-24 18:56:21 UTC
Created attachment 1547502 [details]
File: cgroup

Comment 3 Davide 2019-03-24 18:56:26 UTC
Created attachment 1547503 [details]
File: cpuinfo

Comment 4 Davide 2019-03-24 18:56:31 UTC
Created attachment 1547504 [details]
File: environ

Comment 5 Davide 2019-03-24 18:56:33 UTC
Created attachment 1547505 [details]
File: mountinfo

Comment 6 Davide 2019-03-24 18:56:34 UTC
Created attachment 1547506 [details]
File: namespaces

Comment 7 Davide 2019-03-24 18:56:39 UTC
Created attachment 1547507 [details]
File: open_fds


Note You need to log in before you can comment on or make changes to this bug.